# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /src/conda-recipes/llvmlite, last modified Thu Jun  8 14:46:31 2023
# ------------------------------------------------

package:
    name: llvmlite
    version: 0.40.1rc1
source:
    path: /src
build:
    number: '0'
    script_env:
        - LLVMLITE_SHARED
        - LLVMLITE_USE_CMAKE
        - PY_VCRUNTIME_REDIST
    string: py310he1b5a44_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - _openmp_mutex 5.1 1_gnu
        - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
        - binutils_impl_linux-64 2.35.1 h27ae35d_9
        - binutils_linux-64 2.35.1 h454624a_30
        - gcc_impl_linux-64 7.5.0 h7105cf2_17
        - gcc_linux-64 7.5.0 h8f34230_30
        - gxx_impl_linux-64 7.5.0 h0a5bf11_17
        - gxx_linux-64 7.5.0 hffc177d_30
        - kernel-headers_linux-64 3.10.0 h57e8cba_10
        - ld_impl_linux-64 2.35.1 h7274673_9
        - libgcc-devel_linux-64 7.5.0 hbbeae57_17
        - libgcc-ng 11.2.0 h1234567_1
        - libgomp 11.2.0 h1234567_1
        - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
        - libstdcxx-ng 11.2.0 h1234567_1
        - make 4.2.1 h1bed415_1
        - sysroot_linux-64 2.17 h57e8cba_10
    host:
        - _libgcc_mutex 0.1 main
        - _openmp_mutex 5.1 1_gnu
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2023.05.30 h06a4308_0
        - ld_impl_linux-64 2.38 h1181459_1
        - libffi 3.4.4 h6a678d5_0
        - libgcc-ng 11.2.0 h1234567_1
        - libgomp 11.2.0 h1234567_1
        - libstdcxx-ng 11.2.0 h1234567_1
        - libuuid 1.41.5 h5eee18b_0
        - llvmdev 14.0.6 h84b9e52_3
        - ncurses 6.4 h6a678d5_0
        - openssl 1.1.1t h7f8727e_0
        - pip 23.0.1 py310h06a4308_0
        - python 3.10.11 h7a1cb2a_2
        - readline 8.2 h5eee18b_0
        - setuptools 67.8.0 py310h06a4308_0
        - sqlite 3.41.2 h5eee18b_0
        - tk 8.6.12 h1ccaba5_0
        - tzdata 2023c h04d1e81_0
        - wheel 0.38.4 py310h06a4308_0
        - xz 5.4.2 h5eee18b_0
        - zlib 1.2.13 h5eee18b_0
    run:
        - libgcc-ng >=7.5.0
        - libstdcxx-ng >=7.5.0
        - python >=3.10,<3.11.0a0
        - zlib >=1.2.13,<1.3.0a0
test:
    commands:
        - python -m llvmlite.tests
    imports:
        - llvmlite
        - llvmlite.binding
about:
    home: https://github.com/numba/llvmlite
    license: New BSD License
    summary: A lightweight LLVM python binding for writing JIT compilers
extra:
    copy_test_source_files: true
    final: true
